Index: branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression/3.4/SymbolicRegressionSolution.cs
===================================================================
--- branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression/3.4/SymbolicRegressionSolution.cs	(revision 16556)
+++ branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression/3.4/SymbolicRegressionSolution.cs	(revision 16589)
@@ -49,5 +49,5 @@
     private const string TestNaNEvaluationsResultName = "Test NaN Evaluations";
 
-    private const string EstimatedDerivatesResultName = "Derivates of the Model";
+    private const string IntervalEvaluationResultName = "Interval Evaluation";
     private const string EstimatedDerivationInterval = "Interval";
 
@@ -101,9 +101,7 @@
     }
 
-    private ResultCollection EstimatedDerivateResultCollection => 
-      (ResultCollection) this[EstimatedDerivatesResultName].Value;
-
-    public NamedIntervals EstimationInterval =>
-      (NamedIntervals) EstimatedDerivateResultCollection[EstimatedDerivationInterval].Value;
+    private NamedIntervals IntervalEvaluaitonCollection => 
+      (NamedIntervals) this[IntervalEvaluationResultName].Value;
+
 
 
@@ -132,7 +130,7 @@
       RecalculateResults();
 
-      var estimationDerivatesResult = new ResultCollection();
-      Add(new Result(EstimatedDerivatesResultName, "Results concerning the derivation of symbolic regression solution", estimationDerivatesResult));
-      CalculateDerivates(estimationDerivatesResult);
+      var namedIntervalCollection = new NamedIntervals();
+      Add(new Result(IntervalEvaluationResultName, "Results concerning the derivation of symbolic regression solution", namedIntervalCollection));
+      GetIntervalEvaulations(namedIntervalCollection);
     }
 
@@ -155,7 +153,7 @@
         CalculateResults();
 
-        var estimationDerivatesResult = new ResultCollection();
-        Add(new Result(EstimatedDerivatesResultName, "Results concerning the derivation of symbolic regression solution", estimationDerivatesResult));
-        CalculateDerivates(estimationDerivatesResult);
+        var namedIntervalCollection = new NamedIntervals();
+        Add(new Result(IntervalEvaluationResultName, "Results concerning the derivation of symbolic regression solution", namedIntervalCollection));
+        GetIntervalEvaulations(namedIntervalCollection);
       }
     }
@@ -166,24 +164,21 @@
     }
 
-    private void CalculateDerivates(ResultCollection estimationDerivatesResults) {
+    private void GetIntervalEvaulations(NamedIntervals intervalEvaluation) {
       var interpreter = new IntervalInterpreter();
-      var variableRanges = (ProblemData as RegressionProblemData).VariableRangesParameter.Value.VariableIntervals;
-      var customIntervals = new Dictionary<string, Interval>();
-      var intervals = new NamedIntervals();
-
-      foreach (var variable in variableRanges) {
-        customIntervals.Add(variable.Key, new Interval(variable.Value.LowerBound, variable.Value.UpperBound));
-      }
-
-      foreach (var derivate in customIntervals) {
-        if (derivate.Key != ProblemData.TargetVariable) {
-          var derived = DerivativeCalculator.Derive(Model.SymbolicExpressionTree, derivate.Key);
-          var derivedResultInterval = interpreter.GetSymbolicExressionTreeInterval(derived, customIntervals);
-          intervals.Add(" ∂f/∂" + derivate.Key,
-            new Interval(derivedResultInterval.LowerBound, derivedResultInterval.UpperBound));
+      var variableRanges = (ProblemData as RegressionProblemData)?.VariableRangesParameter.Value.VariableIntervals;
+
+      if (variableRanges != null) {
+        intervalEvaluation.Add($"Target {ProblemData.TargetVariable}", new Interval(variableRanges[ProblemData.TargetVariable].LowerBound, variableRanges[ProblemData.TargetVariable].UpperBound));
+        intervalEvaluation.Add("Modell Interval", interpreter.GetSymbolicExressionTreeInterval(Model.SymbolicExpressionTree, variableRanges));
+
+        foreach (var derivate in variableRanges) {
+          if (derivate.Key != ProblemData.TargetVariable) {
+            var derived = DerivativeCalculator.Derive(Model.SymbolicExpressionTree, derivate.Key);
+            var derivedResultInterval = interpreter.GetSymbolicExressionTreeInterval(derived, variableRanges);
+            intervalEvaluation.Add(" ∂f/∂" + derivate.Key,
+              new Interval(derivedResultInterval.LowerBound, derivedResultInterval.UpperBound));
+          }
         }
       }
-      estimationDerivatesResults.AddOrUpdateResult("Derived Intervals", intervals);
-
     }
     
